Page MenuHomePhabricator

UI not querying daily granularity for 3-month and 1-month periods
Closed, ResolvedPublic3 Story Points

Description

When browsing any timeseries metric and selecting a time range of three months or one month, the UI is specifying monthly granularity, when the expected output is daily. This causes the line graph to only contain two points and to fail if 1-month is selected, as the range does not include a full range.

Event Timeline

fdans created this task.Jan 30 2018, 11:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2018, 11:32 PM
fdans triaged this task as Unbreak Now! priority.Jan 30 2018, 11:39 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptJan 30 2018, 11:39 PM

Change 406963 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Fix granularity switching and display in all metrics

https://gerrit.wikimedia.org/r/406963

fdans claimed this task.Jan 31 2018, 12:16 AM
fdans moved this task from Next Up to In Code Review on the Analytics-Kanban board.

Change 406963 merged by Mforns:
[analytics/wikistats2@master] Fix granularity switching and display in all metrics

https://gerrit.wikimedia.org/r/406963

fdans moved this task from In Code Review to Done on the Analytics-Kanban board.Feb 7 2018, 4:50 PM
Nuria set the point value for this task to 3.Feb 7 2018, 5:04 PM
Nuria closed this task as Resolved.Feb 12 2018, 3:57 PM